diff --git a/sudoers.cat b/sudoers.cat
index e8f28fa5c..a9771463a 100644
--- a/sudoers.cat
+++ b/sudoers.cat
@@ -1,7 +1,7 @@
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
 NNAAMMEE
@@ -61,13 +61,13 @@ DDEESSCCRRIIPPTTIIOONN
 
 
 
-1.6.8                      May 17, 2004                         1
+1.6.8                      May 27, 2004                         1
 
 
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
         Host_Alias ::= NAME '=' Host_List
@@ -127,13 +127,13 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
 
-1.6.8                      May 17, 2004                         2
+1.6.8                      May 27, 2004                         2
 
 
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
         Host_List ::= Host |
@@ -193,13 +193,13 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
 
-1.6.8                      May 17, 2004                         3
+1.6.8                      May 27, 2004                         3
 
 
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
        arguments: ',', ':', '=', '\'.  The special command
@@ -259,13 +259,13 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
 
-1.6.8                      May 17, 2004                         4
+1.6.8                      May 27, 2004                         4
 
 
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
                    pretty as the default but some people find it
@@ -304,8 +304,8 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
                    If set, mail will be sent to the _m_a_i_l_t_o user
                    if the invoking user is allowed to use ssuuddoo
                    but the command they are trying is not listed
-                   in their _s_u_d_o_e_r_s file entry.  This flag is _o_f_f
-                   by default.
+                   in their _s_u_d_o_e_r_s file entry or is explicitly
+                   denied.  This flag is _o_f_f by default.
 
        tty_tickets If set, users must authenticate on a per-tty
                    basis.  Normally, ssuuddoo uses a directory in the
@@ -325,13 +325,13 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
 
-1.6.8                      May 17, 2004                         5
+1.6.8                      May 27, 2004                         5
 
 
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
        root_sudo   If set, root is allowed to run ssuuddoo too.  Dis­
@@ -391,13 +391,13 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
 
-1.6.8                      May 17, 2004                         6
+1.6.8                      May 27, 2004                         6
 
 
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
        preserve_groups
@@ -457,13 +457,13 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
 
-1.6.8                      May 17, 2004                         7
+1.6.8                      May 27, 2004                         7
 
 
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
                    This flag is _o_f_f by default.
@@ -523,13 +523,13 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
 
-1.6.8                      May 17, 2004                         8
+1.6.8                      May 27, 2004                         8
 
 
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
                    exists.  Only available if ssuuddoo is configured
@@ -589,13 +589,13 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
 
-1.6.8                      May 17, 2004                         9
+1.6.8                      May 27, 2004                         9
 
 
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
        badpass_message
@@ -655,13 +655,13 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
 
-1.6.8                      May 17, 2004                        10
+1.6.8                      May 27, 2004                        10
 
 
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
                    choose the editor that matches the user's USER
@@ -721,13 +721,13 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
 
-1.6.8                      May 17, 2004                        11
+1.6.8                      May 27, 2004                        11
 
 
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
        exempt_group
@@ -787,13 +787,13 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
 
-1.6.8                      May 17, 2004                        12
+1.6.8                      May 27, 2004                        12
 
 
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
                    argument may be a double-quoted, space-sepa­
@@ -853,13 +853,13 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
 
-1.6.8                      May 17, 2004                        13
+1.6.8                      May 27, 2004                        13
 
 
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
         Tag_Spec ::= ('NOPASSWD:' | 'PASSWD:' | 'NOEXEC:' | 'EXEC:')
@@ -919,13 +919,13 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
 
-1.6.8                      May 17, 2004                        14
+1.6.8                      May 27, 2004                        14
 
 
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
        _/_u_s_r_/_b_i_n_/_l_p_r_m as root on the machine rushmore as rroooott
@@ -985,13 +985,13 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
 
-1.6.8                      May 17, 2004                        15
+1.6.8                      May 27, 2004                        15
 
 
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
        Note that a forward slash ('/') will nnoott be matched by
@@ -1051,13 +1051,13 @@ EEXXAAMMPPLLEESS
 
 
 
-1.6.8                      May 17, 2004                        16
+1.6.8                      May 27, 2004                        16
 
 
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
        these are a bit contrived.  First, we define our _a_l_i_a_s_e_s:
@@ -1117,13 +1117,13 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
 
-1.6.8                      May 17, 2004                        17
+1.6.8                      May 27, 2004                        17
 
 
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
         root           ALL = (ALL) ALL
@@ -1183,13 +1183,13 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
 
-1.6.8                      May 17, 2004                        18
+1.6.8                      May 27, 2004                        18
 
 
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
        and ooppeerraattoorr).
@@ -1249,13 +1249,13 @@ SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
 
 
 
-1.6.8                      May 17, 2004                        19
+1.6.8                      May 27, 2004                        19
 
 
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
        Any user may mount or unmount a CD-ROM on the machines in
@@ -1315,13 +1315,13 @@ PPRREEVVEENNTTIINNGG SSHHEELLLL EESSCCAAPPEESS
 
 
 
-1.6.8                      May 17, 2004                        20
+1.6.8                      May 27, 2004                        20
 
 
 
 
 
-SUDOERS(4)             MAINTENANCE COMMANDS            SUDOERS(4)
+SUDOERS(5)             MAINTENANCE COMMANDS            SUDOERS(5)
 
 
        Tru64 UNIX, MacOS X, and HP-UX 11.x.  It is known nnoott to
@@ -1381,6 +1381,6 @@ SSEEEE AALLSSOO
 
 
 
-1.6.8                      May 17, 2004                        21
+1.6.8                      May 27, 2004                        21
 
 
diff --git a/sudoers.man.in b/sudoers.man.in
index 693938ccf..d0eb60d4d 100644
--- a/sudoers.man.in
+++ b/sudoers.man.in
@@ -149,7 +149,7 @@
 .\" ========================================================================
 .\"
 .IX Title "SUDOERS @mansectform@"
-.TH SUDOERS @mansectform@ "May 17, 2004" "1.6.8" "MAINTENANCE COMMANDS"
+.TH SUDOERS @mansectform@ "May 27, 2004" "1.6.8" "MAINTENANCE COMMANDS"
 .SH "NAME"
 sudoers \- list of which users may execute what
 .SH "DESCRIPTION"
@@ -430,8 +430,8 @@ commands on the current host.  This flag is \fI@mail_no_host@\fR by default.
 .IX Item "mail_no_perms"
 If set, mail will be sent to the \fImailto\fR user if the invoking
 user is allowed to use \fBsudo\fR but the command they are trying is not
-listed in their \fIsudoers\fR file entry.  This flag is \fI@mail_no_perms@\fR
-by default.
+listed in their \fIsudoers\fR file entry or is explicitly denied.
+This flag is \fI@mail_no_perms@\fR by default.
 .IP "tty_tickets" 12
 .IX Item "tty_tickets"
 If set, users must authenticate on a per-tty basis.  Normally,
